Index: contrib/ntp/ntpd/ntp_parser.c
===================================================================
--- contrib/ntp/ntpd/ntp_parser.c	(版本 309693)
+++ contrib/ntp/ntpd/ntp_parser.c	(版本 310419)
@@ -1407,29 +1410,29 @@
        2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
        2,     0,     2,     2,     2,     1,     1,     1,     1,     1,
        2,     2,     1,     2,     2,     2,     1,     1,     1,     1,
-       1,     1,     1,     1,     1,     1,     2,     2,     3,     2,
-       1,     1,     1,     1,     1,     1,     1,     1,     1,     0,
+       1,     1,     1,     1,     1,     1,     1,     2,     2,     3,
+       2,     1,     1,     1,     1,     1,     1,     1,     1,     1,
+       0,     2,     2,     2,     1,     1,     1,     1,     1,     1,
+       1,     1,     1,     1,     1,     1,     1,     2,     2,     3,
+       5,     3,     4,     4,     3,     0,     2,     1,     1,     1,
+       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
+       1,     1,     2,     1,     2,     1,     1,     1,     2,     1,
+       2,     1,     1,     1,     1,     1,     1,     1,     1,     3,
+       2,     1,     2,     2,     2,     2,     2,     1,     1,     1,
+       1,     1,     1,     2,     2,     1,     2,     1,     1,     1,
        2,     2,     2,     1,     1,     1,     1,     1,     1,     1,
-       1,     1,     1,     1,     1,     1,     2,     2,     3,     5,
-       3,     4,     4,     3,     0,     2,     1,     1,     1,     1,
-       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
-       1,     2,     1,     2,     1,     1,     1,     2,     1,     2,
-       1,     1,     1,     1,     1,     1,     1,     1,     3,     2,
-       1,     2,     2,     2,     2,     2,     1,     1,     1,     1,
-       1,     1,     2,     2,     1,     2,     1,     1,     1,     2,
+       1,     1,     1,     1,     1,     1,     1,     1,     2,     2,
+       1,     2,     1,     1,     1,     1,     1,     1,     1,     1,
+       1,     1,     1,     1,     2,     2,     2,     2,     3,     1,
+       2,     2,     2,     2,     3,     2,     1,     1,     1,     1,
+       1,     1,     1,     1,     1,     1,     1,     2,     0,     4,
+       1,     0,     0,     2,     2,     2,     2,     1,     1,     3,
+       3,     1,     1,     1,     1,     1,     1,     1,     1,     1,
        2,     2,     1,     1,     1,     1,     1,     1,     1,     1,
-       1,     1,     1,     1,     1,     1,     1,     2,     2,     1,
-       2,     1,     1,     1,     1,     1,     1,     1,     1,     1,
-       1,     1,     1,     2,     2,     2,     2,     3,     1,     2,
-       2,     2,     2,     3,     2,     1,     1,     1,     1,     1,
-       1,     1,     1,     1,     1,     1,     2,     0,     4,     1,
-       0,     0,     2,     2,     2,     2,     1,     1,     3,     3,
-       1,     1,     1,     1,     1,     1,     1,     1,     1,     2,
-       2,     1,     1,     1,     1,     1,     1,     1,     1,     2,
-       1,     2,     1,     1,     1,     5,     2,     1,     2,     1,
-       1,     1,     1,     1,     1,     5,     1,     3,     2,     3,
-       1,     1,     2,     1,     5,     4,     3,     2,     1,     6,
-       3,     2,     3,     1,     1,     1,     1,     1
+       2,     1,     2,     1,     1,     1,     5,     2,     1,     2,
+       1,     1,     1,     1,     1,     1,     5,     1,     3,     2,
+       3,     1,     1,     2,     1,     5,     4,     3,     2,     1,
+       6,     3,     2,     3,     1,     1,     1,     1,     1
 };
 
 
@@ -2106,7 +2109,7 @@
   switch (yyn)
     {
         case 5:
-#line 377 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 378 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			/* I will need to incorporate much more fine grained
 			 * error messages. The following should suffice for
@@ -2119,11 +2122,11 @@
 				ip_ctx->errpos.nline,
 				ip_ctx->errpos.ncol);
 		}
-#line 2123 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2126 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 20:
-#line 413 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 414 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			peer_node *my_node;
 
@@ -2130,74 +2133,74 @@
 			my_node = create_peer_node((yyvsp[-2].Integer), (yyvsp[-1].Address_node), (yyvsp[0].Attr_val_fifo));
 			APPEND_G_FIFO(cfgt.peers, my_node);
 		}
-#line 2134 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2137 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 27:
-#line 432 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 433 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Address_node) = create_address_node((yyvsp[0].String), (yyvsp[-1].Integer)); }
-#line 2140 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2143 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 28:
-#line 437 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 438 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Address_node) = create_address_node((yyvsp[0].String), AF_UNSPEC); }
-#line 2146 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2149 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 29:
-#line 442 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 443 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Integer) = AF_INET; }
-#line 2152 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2155 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 30:
-#line 444 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 445 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Integer) = AF_INET6; }
-#line 2158 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2161 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 31:
-#line 449 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 450 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Attr_val_fifo) = NULL; }
-#line 2164 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2167 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 32:
-#line 451 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 452 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Attr_val_fifo) = (yyvsp[-1].Attr_val_fifo);
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[0].Attr_val));
 		}
-#line 2173 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2176 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 36:
-#line 465 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 466 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Attr_val) = create_attr_ival(T_Flag, (yyvsp[0].Integer)); }
-#line 2179 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2182 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 45:
-#line 481 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 482 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Attr_val) = create_attr_ival((yyvsp[-1].Integer), (yyvsp[0].Integer)); }
-#line 2185 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2188 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 46:
-#line 483 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 484 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Attr_val) = create_attr_uval((yyvsp[-1].Integer), (yyvsp[0].Integer)); }
-#line 2191 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2194 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 53:
-#line 497 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 498 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Attr_val) = create_attr_sval((yyvsp[-1].Integer), (yyvsp[0].String)); }
-#line 2197 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2200 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 55:
-#line 511 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 512 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			unpeer_node *my_node;
 
@@ -2205,35 +2208,35 @@
 			if (my_node)
 				APPEND_G_FIFO(cfgt.unpeers, my_node);
 		}
-#line 2209 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2212 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 58:
-#line 532 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 533 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     { cfgt.broadcastclient = 1; }
-#line 2215 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2218 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 59:
-#line 534 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 535 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     { CONCAT_G_FIFOS(cfgt.manycastserver, (yyvsp[0].Address_fifo)); }
-#line 2221 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2224 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 60:
-#line 536 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 537 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     { CONCAT_G_FIFOS(cfgt.multicastclient, (yyvsp[0].Address_fifo)); }
-#line 2227 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2230 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 61:
-#line 538 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 539 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     { cfgt.mdnstries = (yyvsp[0].Integer); }
-#line 2233 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2236 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 62:
-#line 549 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 550 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			attr_val *atrv;
 
@@ -2240,50 +2243,50 @@
 			atrv = create_attr_ival((yyvsp[-1].Integer), (yyvsp[0].Integer));
 			APPEND_G_FIFO(cfgt.vars, atrv);
 		}
-#line 2244 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2247 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 63:
-#line 556 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 557 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     { cfgt.auth.control_key = (yyvsp[0].Integer); }
-#line 2250 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2253 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 64:
-#line 558 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 559 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			cfgt.auth.cryptosw++;
 			CONCAT_G_FIFOS(cfgt.auth.crypto_cmd_list, (yyvsp[0].Attr_val_fifo));
 		}
-#line 2259 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2262 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 65:
-#line 563 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 564 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     { cfgt.auth.keys = (yyvsp[0].String); }
-#line 2265 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2268 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 66:
-#line 565 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 566 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     { cfgt.auth.keysdir = (yyvsp[0].String); }
-#line 2271 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2274 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 67:
-#line 567 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 568 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     { cfgt.auth.request_key = (yyvsp[0].Integer); }
-#line 2277 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2280 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 68:
-#line 569 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 570 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     { cfgt.auth.revoke = (yyvsp[0].Integer); }
-#line 2283 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2286 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 69:
-#line 571 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 572 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			cfgt.auth.trusted_key_list = (yyvsp[0].Attr_val_fifo);
 
@@ -2292,38 +2295,38 @@
 			// else
 			// 	LINK_SLIST(cfgt.auth.trusted_key_list, $2, link);
 		}
-#line 2296 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2299 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 70:
-#line 580 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 581 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     { cfgt.auth.ntp_signd_socket = (yyvsp[0].String); }
-#line 2302 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2305 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 71:
-#line 585 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 586 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Attr_val_fifo) = NULL; }
-#line 2308 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2311 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 72:
-#line 587 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 588 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Attr_val_fifo) = (yyvsp[-1].Attr_val_fifo);
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[0].Attr_val));
 		}
-#line 2317 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2320 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 73:
-#line 595 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 596 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Attr_val) = create_attr_sval((yyvsp[-1].Integer), (yyvsp[0].String)); }
-#line 2323 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2326 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 74:
-#line 597 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 598 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Attr_val) = NULL;
 			cfgt.auth.revoke = (yyvsp[0].Integer);
@@ -2332,59 +2335,59 @@
 				"please use 'revoke %d' instead.",
 				cfgt.auth.revoke, cfgt.auth.revoke);
 		}
-#line 2336 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2339 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 80:
-#line 622 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 623 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     { CONCAT_G_FIFOS(cfgt.orphan_cmds, (yyvsp[0].Attr_val_fifo)); }
-#line 2342 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2345 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 81:
-#line 627 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 628 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Attr_val_fifo) = (yyvsp[-1].Attr_val_fifo);
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[0].Attr_val));
 		}
-#line 2351 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2354 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 82:
-#line 632 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 633 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Attr_val_fifo) = NULL;
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[0].Attr_val));
 		}
-#line 2360 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2363 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 83:
-#line 640 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 641 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Attr_val) = create_attr_dval((yyvsp[-1].Integer), (double)(yyvsp[0].Integer)); }
-#line 2366 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2369 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 84:
-#line 642 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 643 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Attr_val) = create_attr_dval((yyvsp[-1].Integer), (yyvsp[0].Double)); }
-#line 2372 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2375 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 85:
-#line 644 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 645 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Attr_val) = create_attr_dval((yyvsp[-1].Integer), (double)(yyvsp[0].Integer)); }
-#line 2378 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2381 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 96:
-#line 670 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 97:
+#line 672 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     { CONCAT_G_FIFOS(cfgt.stats_list, (yyvsp[0].Int_fifo)); }
-#line 2384 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2387 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 97:
-#line 672 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 98:
+#line 674 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			if (lex_from_file()) {
 				cfgt.stats_dir = (yyvsp[0].String);
@@ -2393,11 +2396,11 @@
 				yyerror("statsdir remote configuration ignored");
 			}
 		}
-#line 2397 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2400 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 98:
-#line 681 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 99:
+#line 683 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			filegen_node *fgn;
 
@@ -2404,44 +2407,44 @@
 			fgn = create_filegen_node((yyvsp[-1].Integer), (yyvsp[0].Attr_val_fifo));
 			APPEND_G_FIFO(cfgt.filegen_opts, fgn);
 		}
-#line 2408 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2411 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 99:
-#line 691 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 100:
+#line 693 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Int_fifo) = (yyvsp[-1].Int_fifo);
 			APPEND_G_FIFO((yyval.Int_fifo), create_int_node((yyvsp[0].Integer)));
 		}
-#line 2417 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2420 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 100:
-#line 696 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 101:
+#line 698 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Int_fifo) = NULL;
 			APPEND_G_FIFO((yyval.Int_fifo), create_int_node((yyvsp[0].Integer)));
 		}
-#line 2426 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2429 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 109:
-#line 715 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 110:
+#line 717 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Attr_val_fifo) = NULL; }
-#line 2432 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2435 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 110:
-#line 717 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 111:
+#line 719 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Attr_val_fifo) = (yyvsp[-1].Attr_val_fifo);
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[0].Attr_val));
 		}
-#line 2441 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2444 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 111:
-#line 725 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 112:
+#line 727 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			if (lex_from_file()) {
 				(yyval.Attr_val) = create_attr_sval((yyvsp[-1].Integer), (yyvsp[0].String));
@@ -2451,11 +2454,11 @@
 				yyerror("filegen file remote config ignored");
 			}
 		}
-#line 2455 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2458 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 112:
-#line 735 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 113:
+#line 737 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			if (lex_from_file()) {
 				(yyval.Attr_val) = create_attr_ival((yyvsp[-1].Integer), (yyvsp[0].Integer));
@@ -2464,11 +2467,11 @@
 				yyerror("filegen type remote config ignored");
 			}
 		}
-#line 2468 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2471 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 113:
-#line 744 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 114:
+#line 746 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			const char *err;
 
@@ -2483,33 +2486,33 @@
 				yyerror(err);
 			}
 		}
-#line 2487 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2490 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 114:
-#line 759 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 115:
+#line 761 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Attr_val) = create_attr_ival(T_Flag, (yyvsp[0].Integer)); }
-#line 2493 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2496 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 126:
-#line 789 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 127:
+#line 791 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			CONCAT_G_FIFOS(cfgt.discard_opts, (yyvsp[0].Attr_val_fifo));
 		}
-#line 2501 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2504 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 127:
-#line 793 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 128:
+#line 795 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			CONCAT_G_FIFOS(cfgt.mru_opts, (yyvsp[0].Attr_val_fifo));
 		}
-#line 2509 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2512 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 128:
-#line 797 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 129:
+#line 799 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			restrict_node *rn;
 
@@ -2517,11 +2520,11 @@
 						  lex_current()->curpos.nline);
 			APPEND_G_FIFO(cfgt.restrict_opts, rn);
 		}
-#line 2521 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2524 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 129:
-#line 805 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 130:
+#line 807 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			restrict_node *rn;
 
@@ -2529,11 +2532,11 @@
 						  lex_current()->curpos.nline);
 			APPEND_G_FIFO(cfgt.restrict_opts, rn);
 		}
-#line 2533 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2536 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 130:
-#line 813 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 131:
+#line 815 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			restrict_node *rn;
 
@@ -2541,11 +2544,11 @@
 						  lex_current()->curpos.nline);
 			APPEND_G_FIFO(cfgt.restrict_opts, rn);
 		}
-#line 2545 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2548 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 131:
-#line 821 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 132:
+#line 823 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			restrict_node *rn;
 
@@ -2560,11 +2563,11 @@
 				lex_current()->curpos.nline);
 			APPEND_G_FIFO(cfgt.restrict_opts, rn);
 		}
-#line 2564 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2567 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 132:
-#line 836 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 133:
+#line 838 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			restrict_node *rn;
 
@@ -2579,11 +2582,11 @@
 				lex_current()->curpos.nline);
 			APPEND_G_FIFO(cfgt.restrict_opts, rn);
 		}
-#line 2583 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2586 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 133:
-#line 851 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 134:
+#line 853 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			restrict_node *	rn;
 
@@ -2592,74 +2595,74 @@
 				NULL, NULL, (yyvsp[0].Int_fifo), lex_current()->curpos.nline);
 			APPEND_G_FIFO(cfgt.restrict_opts, rn);
 		}
-#line 2596 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2599 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 134:
-#line 863 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 135:
+#line 865 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Int_fifo) = NULL; }
-#line 2602 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2605 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 135:
-#line 865 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 136:
+#line 867 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Int_fifo) = (yyvsp[-1].Int_fifo);
 			APPEND_G_FIFO((yyval.Int_fifo), create_int_node((yyvsp[0].Integer)));
 		}
-#line 2611 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2614 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 151:
-#line 891 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 152:
+#line 893 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Attr_val_fifo) = (yyvsp[-1].Attr_val_fifo);
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[0].Attr_val));
 		}
-#line 2620 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2623 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 152:
-#line 896 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 153:
+#line 898 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Attr_val_fifo) = NULL;
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[0].Attr_val));
 		}
-#line 2629 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2632 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 153:
-#line 904 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 154:
+#line 906 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Attr_val) = create_attr_ival((yyvsp[-1].Integer), (yyvsp[0].Integer)); }
-#line 2635 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2638 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 157:
-#line 915 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 158:
+#line 917 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Attr_val_fifo) = (yyvsp[-1].Attr_val_fifo);
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[0].Attr_val));
 		}
-#line 2644 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2647 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 158:
-#line 920 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 159:
+#line 922 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Attr_val_fifo) = NULL;
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[0].Attr_val));
 		}
-#line 2653 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2656 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 159:
-#line 928 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 160:
+#line 930 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Attr_val) = create_attr_ival((yyvsp[-1].Integer), (yyvsp[0].Integer)); }
-#line 2659 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2662 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 168:
-#line 948 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 169:
+#line 950 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			addr_opts_node *aon;
 
@@ -2666,41 +2669,41 @@
 			aon = create_addr_opts_node((yyvsp[-1].Address_node), (yyvsp[0].Attr_val_fifo));
 			APPEND_G_FIFO(cfgt.fudge, aon);
 		}
-#line 2670 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2673 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 169:
-#line 958 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 170:
+#line 960 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Attr_val_fifo) = (yyvsp[-1].Attr_val_fifo);
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[0].Attr_val));
 		}
-#line 2679 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2682 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 170:
-#line 963 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 171:
+#line 965 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Attr_val_fifo) = NULL;
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[0].Attr_val));
 		}
-#line 2688 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2691 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 171:
-#line 971 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 172:
+#line 973 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Attr_val) = create_attr_dval((yyvsp[-1].Integer), (yyvsp[0].Double)); }
-#line 2694 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2697 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 172:
-#line 973 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 173:
+#line 975 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Attr_val) = create_attr_ival((yyvsp[-1].Integer), (yyvsp[0].Integer)); }
-#line 2700 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2703 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 173:
-#line 975 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 174:
+#line 977 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			if ((yyvsp[0].Integer) >= 0 && (yyvsp[0].Integer) <= 16) {
 				(yyval.Attr_val) = create_attr_ival((yyvsp[-1].Integer), (yyvsp[0].Integer));
